extends Interactable


@onready var tmp_sprite: Sprite2D = $TmpSprite

func switch_state():
	super()
	# notify lever_system
	if get_parent() is not InteractableSystem:
		print("no parent for lever!!")
		return
	get_parent().notify_system(active)
		
func _save_state():
	super()

func _load_saved_state():
	super()
	get_parent().notify_system(active)
	
func _update_sprite():
	if active:
		tmp_sprite.rotation = 45
	else:
		tmp_sprite.rotation = -0.3
